RTEMS: SPARC_Minimum_stack_frame Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
SPARC_Minimum_stack_frame Struct Reference

`#include <cpu.h>`

## Data Fields
uint32_t | l0
uint32_t | l1
uint32_t | l2
uint32_t | l3
uint32_t | l4
uint32_t | l5
uint32_t | l6
uint32_t | l7
uint32_t | i0
uint32_t | i1
uint32_t | i2
uint32_t | i3
uint32_t | i4
uint32_t | i5
uint32_t | i6_fp
uint32_t | i7
void * | structure_return_address
uint32_t | saved_arg0
uint32_t | saved_arg1
uint32_t | saved_arg2
uint32_t | saved_arg3
uint32_t | saved_arg4
uint32_t | saved_arg5
uint32_t | pad0

## Detailed Description

This structure represents the organization of the minimum stack frame for the SPARC. More framing information is required in certain situaions such as when there are a large number of out parameters or when the callee must save floating point registers.

## Field Documentation

## ◆ i0

uint32_t SPARC_Minimum_stack_frame::i0

This is the offset of the l0 register.

## ◆ i1

uint32_t SPARC_Minimum_stack_frame::i1

This is the offset of the i1 register.

## ◆ i2

uint32_t SPARC_Minimum_stack_frame::i2

This is the offset of the i2 register.

## ◆ i3

uint32_t SPARC_Minimum_stack_frame::i3

This is the offset of the i3 register.

## ◆ i4

uint32_t SPARC_Minimum_stack_frame::i4

This is the offset of the i4 register.

## ◆ i5

uint32_t SPARC_Minimum_stack_frame::i5

This is the offset of the i5 register.

## ◆ i6_fp

uint32_t SPARC_Minimum_stack_frame::i6_fp

This is the offset of the i6 register.

## ◆ i7

uint32_t SPARC_Minimum_stack_frame::i7

This is the offset of the i7 register.

## ◆ l0

uint32_t SPARC_Minimum_stack_frame::l0

This is the offset of the l0 register.

## ◆ l1

uint32_t SPARC_Minimum_stack_frame::l1

This is the offset of the l1 register.

## ◆ l2

uint32_t SPARC_Minimum_stack_frame::l2

This is the offset of the l2 register.

## ◆ l3

uint32_t SPARC_Minimum_stack_frame::l3

This is the offset of the l3 register.

## ◆ l4

uint32_t SPARC_Minimum_stack_frame::l4

This is the offset of the l4 register.

## ◆ l5

uint32_t SPARC_Minimum_stack_frame::l5

This is the offset of the l5 register.

## ◆ l6

uint32_t SPARC_Minimum_stack_frame::l6

This is the offset of the l6 register.

## ◆ l7

uint32_t SPARC_Minimum_stack_frame::l7

This is the offset of the l7 register.

## ◆ pad0

uint32_t SPARC_Minimum_stack_frame::pad0

This field pads the structure so ldd and std instructions can be used.

## ◆ saved_arg0

uint32_t SPARC_Minimum_stack_frame::saved_arg0

This is the offset of the register for saved argument 0.

## ◆ saved_arg1

uint32_t SPARC_Minimum_stack_frame::saved_arg1

This is the offset of the register for saved argument 1.

## ◆ saved_arg2

uint32_t SPARC_Minimum_stack_frame::saved_arg2

This is the offset of the register for saved argument 2.

## ◆ saved_arg3

uint32_t SPARC_Minimum_stack_frame::saved_arg3

This is the offset of the register for saved argument 3.

## ◆ saved_arg4

uint32_t SPARC_Minimum_stack_frame::saved_arg4

This is the offset of the register for saved argument 4.

## ◆ saved_arg5

uint32_t SPARC_Minimum_stack_frame::saved_arg5

This is the offset of the register for saved argument 5.

## ◆ structure_return_address

void* SPARC_Minimum_stack_frame::structure_return_address

This is the offset of the register used to return structures.

The documentation for this struct was generated from the following file:

- cpukit/score/cpu/sparc/include/rtems/score/cpu.h